GET api/lockapi/locksbydistribution/{distributionId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| distributionId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "8d8768f9-1d4d-4eb9-930a-95945b4afeb5",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "0e92f130-7f9f-4f39-ae95-052da0cc4faf",
"guard_id": "86f30791-f09b-4fd5-95e6-ec37448f63e3",
"active": true
},
{
"id": "8d8768f9-1d4d-4eb9-930a-95945b4afeb5",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "0e92f130-7f9f-4f39-ae95-052da0cc4faf",
"guard_id": "86f30791-f09b-4fd5-95e6-ec37448f63e3",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>0e92f130-7f9f-4f39-ae95-052da0cc4faf</distribution_id>
<guard_id>86f30791-f09b-4fd5-95e6-ec37448f63e3</guard_id>
<id>8d8768f9-1d4d-4eb9-930a-95945b4afeb5</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>0e92f130-7f9f-4f39-ae95-052da0cc4faf</distribution_id>
<guard_id>86f30791-f09b-4fd5-95e6-ec37448f63e3</guard_id>
<id>8d8768f9-1d4d-4eb9-930a-95945b4afeb5</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>